-- CHAT_MSG_CHANNEL
---@type event string
---@type msg string
---@type sender string
function(event, msg, sender, ...)
	local channelId = select(6, ...)
	local channelName = aura_env.GetChannelName(channelId)
	if not channelName then
		return
	end
	if channelName ~= aura_env.config.channel then
		return
	end

	if msg == "who" then
		for _, player in pairs(aura_env.stinkies) do
			local msg = aura_env.MakeNotifyMessage(player)
			local message = {
				channel = "CHANNEL",
				data = aura_env.config.channel,
				message = msg
			}
			table.insert(WeakAurasSaved.Cyka.MessageQueue, message)
		end
	end
end
